<?php
require'fun.php';
require'f_admin.php';
$titlu='Marcheaza mass';
$back[1]='<a href="/admin-lista-validari">'.img('administrare.png',1).'Lista validari</a>';
$back[2]='<a href="/admin-mesaje-raportate">'.img('administrare.png',1).'Mesaje raportate</a>';
require'f_sus.php';
$destinatari=$conn->query('SELECT COUNT(*)FROM`mesaje`WHERE`de`="'.$la.'"&&`data`="'.$go.'"')->fetch_row()[0];
if(($destinatari<$elemente_raportate?false:$conn->query('UPDATE`mesaje`SET`raportat`="1"WHERE`de`="'.$la.'"&&`data`="'.$go.'"')))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Rezolvari",`de`="'.$de.'",`text`="a marcat ca rezolvat mass-ul cu textul: '.$conn->query('SELECT`text`FROM`mesaje`WHERE`de`="'.$la.'"&&`data`="'.$go.'"LIMIT 1')->fetch_row()[0].'[br/]De la '.nume($la,1).'[br/]Trimis la: [b]'.$destinatari.'[/b] membri",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Mass marcat ca și rezolvat!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest mass a fost marcat ca și rezolvat de către alt administrator!';
unset($destinatari);
require'f_profil.php';
echo$div[0].$div[1].profil($la,'Profilul cel'.($conn->query('SELECT`sex`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row()[0]=='F'?'e':'u').'i ce l-a trimis').$div[0];
require'f_jos.php';